from PySide2.QtWidgets import QHBoxLayout, QWidget, QLabel, QVBoxLayout, QProgressBar


class SongListWidget(QWidget):

    def __init__(self, title, parent=None):
        super(SongListWidget, self).__init__(parent)

        self.title = title

        self.label = QLabel()
        self.label.setText(self.title)
        self.label.setFixedWidth(600)

        self.progress_bar = QProgressBar(self)
        self.progress_bar.setFixedWidth(100)

        self.label_status = QLabel()

        # add widgets to row
        self.row = QHBoxLayout()
        self.row.addWidget(self.label)
        self.row.addWidget(self.progress_bar)
        self.row.addWidget(self.label_status)

        # set initial values for widgets
        self.progress_bar.setValue(0)

        # hide widgets for initialization
        self.progress_bar.hide()
        self.label_status.hide()

        self.setLayout(self.row)
